- Home
- API Enriched
- Support
- operate
- Diagnosis
Diagnosis
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/diagnosis';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/diagnosis \ --header 'Authorization: <Authorization>'GET VPM network information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Site Name Name of the site.
Query Parameters
Section titled “Query Parameters”Name of the console user who runs this command.
Responses
Section titled “Responses”A successful response.
Dignosis response info from site.
object
The subset from full diagnosis response of Domain Curl Result for all required domains from all nodes.
object
The subset from full diagnosis response of Registration Status from all nodes.
object
The full diagnosis response of all nodes.
object
Examplegenerated
{ "curl_response": {}, "registration_status": {}, "responses": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example